> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询任务结果  [合作商渠道]

> 合作商渠道获取任务结果



## OpenAPI

````yaml openapi/cn/sora.json get /sora-partner/fetch
openapi: 3.1.0
info:
  title: Sora API DOCS
  version: 1.0.0
  description: TTAPI Sora API 接口服务，目前集成了市场上最为领先的视频大模型sora2。
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /sora-partner/fetch:
    get:
      description: 合作商渠道获取任务结果
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
          description: 生成视频接口返回的jobId
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  videoId:
                    type: string
                    description: 视频id
                  object:
                    type: string
                    description: video
                  model:
                    type: string
                    description: 模式
                  prompt:
                    type: string
                    description: 描述词
                  videoUrl:
                    type: string
                    description: 视频地址。有效期详见[存储与持久化](/grids/cn/faq/storage)
                  size:
                    type: string
                    description: 视频尺寸
                  finishTime:
                    type: string
                    description: 完成时间
                example:
                  status: SUCCESS
                  message: success
                  jobId: c0cc8dad-0954-421f-be8d-02eb063b3263
                  data:
                    videoId: video_sorab69aa4c3ccd83d072d3294a839e9935e94edb0da2
                    model: sora-2
                    prompt: 'Anime: a wolf running'
                    videoUrl: >-
                      https://cdn.ttapi.io/sora/2026-03-06/61651a39-0a6e-418a-862e-67a09f0792c7.mp4
                    seconds: '4'
                    size: 1280x720
                    quota: '40'
                    finishTime: '2026-03-06 03:40:22'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````